Ravens PHP Scripts

Faq Administrator *email* File Inclusion Vulnerability
Date: Wednesday, November 01, 2006 @ 00:51:17 PST
Topic: Security


SECUNIA ADVISORY ID: SA22621

VERIFY ADVISORY: http://secunia.com/advisories/22621/

CRITICAL: Highly critical

IMPACT: System access

WHERE: >From remote

SOFTWARE: Faq Administrator 2.x - http://secunia.com/product/12451/

DESCRIPTION: v1per-haCker has discovered a vulnerability in Faq Administrator, which can be exploited by malicious people to compromise a vulnerable system. Input passed to the "email" parameter in faq_reply.php is not properly verified, before being used to include files. This can be exploited to include arbitrary files from local or external resources. The vulnerability is confirmed in version 2.1. Other versions may also be affected.

SOLUTION: Edit the source code to ensure that input is properly verified.

PROVIDED AND/OR DISCOVERED BY: v1per-haCker








This article comes from Ravens PHP Scripts
http://www.ravenphpscripts.com

The URL for this story is:
http://www.ravenphpscripts.com/modules.php?name=News&file=article&sid=2480